#pragma once

#include <windows.h>


#ifndef SAFE_DELETE
#define SAFE_DELETE(p) { if(NULL != p) { delete p; p = NULL; } }
#endif

#ifndef SAFE_DELETEA
#define SAFE_DELETEA(p) { if(NULL != p) { delete [] p; p = NULL; } }
#endif



DWORD GetFileSize( const char* szFileName );
bool IsFileExist( const char* szFileName );
bool IsDirectoryExist( const char* szDirName );
